## org.apache.poi.poifs.filesystem
Class POIFSWriterEvent

    java.lang.Object
      org.apache.poi.poifs.filesystem.POIFSWriterEvent

    public class POIFSWriterEvent

extends java.lang.Object

Class POIFSWriterEvent

Version:
  %I%, %G%
Author:
  Marc Johnson (mjohnson at apache dot org)

Method Summary
`int` `getLimit()`
`java.lang.String` `getName()`
`POIFSDocumentPath` `getPath()`
`DocumentOutputStream` `getStream()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getStream

    public DocumentOutputStream getStream()

  Returns:
    the DocumentOutputStream, freshly opened

### getPath

    public POIFSDocumentPath getPath()

  Returns:
    the document's path

### getName

    public java.lang.String getName()

  Returns:
    the document's name

### getLimit

    public int getLimit()

  Returns:
    the limit on writing, in bytes

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.